diff tests/test-revert-flags @ 6030:d0dbae32517c

revert: revert clean files when only a change of flags is needed
author Alexis S. L. Carvalho <alexis@cecm.usp.br>
date Fri, 08 Feb 2008 18:07:55 -0200
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/test-revert-flags	Fri Feb 08 18:07:55 2008 -0200
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+"$TESTDIR/hghave" execbit || exit 80
+
+hg init repo
+cd repo
+echo foo > foo
+chmod 644 foo
+hg ci -qAm '644'
+
+chmod 755 foo
+hg ci -qAm '755'
+
+echo '% reverting to rev 0'
+hg revert -a -r 0
+hg st
+hg diff --git